Discussion on Tectonic - Responsive WordPress Theme

Discussion on Tectonic - Responsive WordPress Theme

By
Cart 167 sales
Well Documented

emerald does not currently provide support for this item.

84 comments found.

Hi, I have a website using this theme and the website host has moved it to a new server which only runs PHP 7.2 or later. The theme no longer works. Is a fix available for this please?

Hi,

I stopped developing the Tectonic WordPress theme at least 2 years ago. However I try to continue supporting it so far to let it work on latest versions of WordPress.

I can provide you with the latest version (1.0.11) which was developed to be compatible with up to WordPress 5.4. The theme is tested locally, and I didn’t notice any bugs/errors:

  • on WordPress 4.9 with PHP 7.2 enabled (maximum supported version of PHP for WordPress 4.9)
  • on WordPress 5.2/5.3/5.4 with PHP 7.2/7.3 and PHP 7.4 (with some not critical “PHP Deprecated” warnings) + Classic Editor plugin installed

Note: the Classic Editor plugin hides all functionality available in the new Block Editor (“Gutenberg”) and is required to be used with the Tectonic WP theme on WP 5.0 and later.

Renew your support (https://help.market.envato.com/hc/en-us/articles/207886473-Extending-and-Renewing-Item-Support) and send me a private message through the form on my profile page – then I will provide you with the download links (tectonic.zip, main.zip, and plugins-for-tectonic-wp.zip files).

Kind regards, emerald

My error_log is flooding with items like these every time the site is accessed:

PHP Warning: Illegal string offset ‘labels’ in /home/accicable/public_html/wp-content/themes/tectonic/inc/config-data.php on line 370 PHP Notice: Array to string conversion in /home/accicable/public_html/wp-content/themes/tectonic/inc/config-data.php on line 370

Here is a sample of one of the arrays in question:

$tec_portfolio_cpt_i18n['labels'] = array( 'name' => _x( 'Portfolio Items', 'portfolio post type', 'tectonic' ), 'singular_name' => _x( 'Portfolio Item', 'portfolio post type - singular name', 'tectonic' ), 'menu_name' => _x( 'Portfolio', 'portfolio post type - menu name', 'tectonic' ), 'name_admin_bar' => _x( 'Portfolio Item', 'portfolio post type - name in admin bar', 'tectonic' ), 'all_items' => _x( 'All Items', 'portfolio post type', 'tectonic' ), 'add_new' => _x( 'Add New Item', 'portfolio post type', 'tectonic' ), 'add_new_item' => _x( 'Add New Portfolio Item', 'portfolio post type', 'tectonic' ), 'edit_item' => _x( 'Edit Portfolio Item', 'portfolio post type', 'tectonic' ), 'new_item' => _x( 'New Portfolio Item', 'portfolio post type', 'tectonic' ), 'view_item' => _x( 'View Item', 'portfolio post type', 'tectonic' ), 'search_items' => _x( 'Search Items', 'portfolio post type', 'tectonic' ), 'not_found' => _x( 'No portfolio items found', 'portfolio post type', 'tectonic' ), 'not_found_in_trash' => _x( 'No portfolio items found in trash', 'portfolio post type', 'tectonic' ), );

What should I do to fix the issue and stop the errors? If you provide the code change to the above code, I can change it where needed. I’m just having trouble finding an exact answer online.

Hello,

Actually the Tectonic WordPress theme is not on sale (as stated in “Item Details”). This page is only left for the purpose of interacting with my current customers. Besides, there’s no a live preview for this theme… So I was surprised when I noticed somebody purchased this item.

I can provide you with the latest version (1.0.10) which was developed to be compatible with WordPress 4.9. Also I tested it on WordPress 5.2 with the Classic Editor plugin installed and didn’t notice any bugs/errors. Note: this plugin hides all functionality available in the new Block Editor (“Gutenberg”) and is required to be used with the Tectonic WP theme on WP 5.0 and higher.

With a few easy customizations the theme can even work on WordPress 5.3.

Send me a private message through the form on my profile page – I will provide you with the download links (tectonic.zip, main.zip, and plugins-for-tectonic-wp.zip files).

I had to purchase to get the latest version for a site that I inherited for maintenance. They didn’t have their original purchase info or login (might have been through a previous developer’s account).

I will PM you as suggested.

Will this theme be further developed for Wp 5.2 ?

Hello,

I stopped developing this theme at least 2 years ago. However I continue supporting it to let it work on latest versions of WordPress. Yesterday I tested the theme (vers. 1.0.10) on WP 5.2 with the Classic Editor plugin installed and didn’t notice any bugs/errors. Note: this plugin hides all functionality available in the new Block Editor (“Gutenberg”) and is required to be used with the Tectonic WP theme on WP 5.0 and higher.

If you need the latest version of the theme, please send me the request by email – I will provide you with the download links.

Hi,

Our host is going to update to PHP 7.2 soon, but the compatibility scanner is returning this error in page-builder plugin included with the theme:

FILE: /www/wp-content/plugins/page-builder/siteorigin-panels.php

FOUND 1 ERROR AFFECTING 1 LINE

1025 | ERROR | preg_replace() – /e modifier is deprecated since PHP 5.5 and removed since PHP 7.0

Can you please check and help us in rectifying this issue so that the site does not break after php7.2 update.

Hi, please update the Page Builder plugin to the new version – this will rectify the issue you mentioned.

  1. Go to Plugins menu in your WordPress Admin, deactivate and then delete the Page Builder plugin.
  2. After you have deleted the plugin, click the “Plugins” menu to refresh the page screen, and you will get a notification to install the required plugin(s) – “This theme requires the following plugin: Page Builder”.
  3. Click “Begin installing plugin”. Then activate the Page Builder plugin you have installed.

That’s all you need to do.

Regards, emerald

Thank you!

Hi there, my sites google map stopped working. It looks like need to renew API key. All my maps have “This page can’t load Google Maps Correctly” message as well as all maps have a “For development purposes only” watermark all over it. Please get back to me ASAP with a solution or advise the location so I can update api key.

Thanks

Hi,

Please send me a private message through the form on my profile page – I will provide you with the download links (updated version 1.0.10 – tectonic.zip and main.zip files) and instructions.

thanks, I just email you using the form on your profile page. thanks again

Just emailed you the instructions.

is the theme compatible with Wp 5.1. ?

Hello, the theme is not compatible with WP 5.1

The “paragraph” font size is too small and I want to enlarge it from 12 Open Sans to 13pts or 14pts – but find no font size adjustments in Options > Styling.

I attempted to change the size in the CSS, but that change only seemed to effect the font size of the page when being view on phone-sized screen—not on desktop or tablet size screens.

Thanks, but never mind. Used custom CSS and works fine.

Hi,

Yes, that’s right – the font size adjustment can be done via CSS by using the “Custom CSS” field in Options > Styling.

The basic text styles like body text are described in base.css (“Basic Styles” and “Typography” sections), and they are overwritten for using on screens larger than 767 pixels wide (phone-sized screen) in layout.css (“Document Setup” section).

So, if you want to enlarge the “paragraph” font size and some other related styles (for all screens), please add the CSS like this to the “Custom CSS” field in Options > Styling:

#page-content {
    font-size: 14px;
    line-height: 23px;
}
#page-content .small-font-size,
#page-content .small-font-size > * {
    font-size: 13px;
    line-height: 20px;
}
#page-content .middle-font-size,
#page-content .middle-font-size > * {
    font-size: 16px;
    line-height: 25px;
}
#page-content blockquote,
#page-content blockquote p {
    font-size: 17px;
    line-height: 27px;
}
#page-content blockquote cite {
    font-size: 14px;
    line-height: 23px;
}
#page-content code {
    font-size: 13px;
}

P.S. I have replied to your request for the theme’s updated version – you can download the files using the links in the email message.

Best regards, emerald

Love the theme and the remarkably fast support response. Many thanks!

In order to get the theme’s updated version (1.0.9) compatible with WordPress 4.8-4.9, please send me a private message through the form on my profile page – I will provide you with the download links (tectonic.zip and main.zip files).

Hi, Is this theme compatible with WordPress 4.8.1?

Hi, yes it is compatible with WordPress 4.8.1. I tested the latest downloaded version (1.0.6) and didn’t find any issues.

Hi, we use WordPress 4.8.2 and the pagebuilder doesnt work in Portfolio. No Pull-Down-Menu is working in Text-widget-block: Example List-types, styles, headings. Can You check it please and help? Thx

Hi, please send me a private message through the form on my profile page, and will provide you with the link to download the updated version that solves the issue with dropdowns in WordPress 4.8.2.

Thanks for letting me know about this bug, and sorry for the inconvenience.

How can i send a private message??

Using the form on my profile page

hi, we have some issues on the site https://roesch-unternehmensberatung.de – the page builder doesnt work since a few days on some pages – please look as example: https://roesch-unternehmensberatung.de/portfolio-item/workflow-einmal-anders-2/ What an we do? You need an Admin-Login to the site to look?

Hi, yes I see – it doesn’t work on some pages. Maybe it is caused by some 3rd party plugin installed… Send me the Admin-Login via the private message – I will take a look at this.

Hi, on Blog-pages the kategory-widget looks like http://roesch-unternehmensberatung.de/blog/ – but on archive-pages it look otherwise_ Example: http://roesch-unternehmensberatung.de/category/bausoftware/

I want to have the same look as on Blogpages! Have you a solution?

Greatings

Hi Reiner,

The categories menu that you can see on your blog archive pages is not a widget itself – it’s a custom sidebar menu set by default to “Blog Categories”. To hide it, just go to Theme Options >> Blog and set “Categories Menu in Archive” to “No”.

Then go to Appearance >> Widgets, find the Categories widget you added to Blog Sidebar and set the following for the “Widget display in sidebar” section:

  • Select “Hide on checked pages”
  • Leave all checkboxes empty (not checked)

Note: you don’t have to use several “Categories” widgets in “Blog Sidebar” widget area. Instead you can use one widget for all blog related pages/posts/archives with the settings mentioned above.

I have the latest version of Wordpress installed, as well as the latest version of the Tectonic theme. When viewing the site’s mobile version, none of the features of the theme are available and all the text is missing. Viewing the full site allows smartphone users to read the site and view the theme. The only remedy I have found is to delete the widgets and insert the text into the visual editor, basically bypassing the features of the theme.

Please advise.

You have Jetpack plugin installed and Mobile Theme feature activated. As I can understand, it’s good for reading the content of native blog posts and pages created directly in visual editor (see the article). I’m afraid the plugin can not display the theme’s pages and portfolio items created in Page Builder (as well as sidebar widgets) when viewing as “mobile site”... and I can do nothing with this.

Perhaps it’s better not to use this feature (“Mobile Theme”) and deactivate it.

Thanks so much! I was having a great deal of difficulty tracking this down, as there are so many opportunities to change “setting,” “options,” and “preferences” that have nothing to do with the theme or how it displays.

Problem solved!

That’s great! Glad I could help you.

Hi, I do have a slight issue when I try to add images to TEC Text Block as a widget in pages sidebar. The image does not appear inside the border(the block itself) I would be grateful if you would advise solution to this. Thanks A

I assume you set the alignment for your image to “left” or “right” (in editor). It should be “none”.

doh! that did it. Thanks so much

You are welcome!

Hi, Is this theme compatible with WordPress 4.5.3? I already have purchased the theme and want to know if it’s OK to upgrade my WP version. Thanks

Hi,

Yes the theme is compatible with WordPress 4.5.3 and you can upgrade your WP version. There is a little issue with displaying uploaded “Info Board Image” in admin on single portfolio and staff pages – but it’s not critical at all. I will fix this bug and upload the theme update on the next week.

Hi Does the testimonials section support images ie a picture of the person leaving the testimonial?

Thanks Graham

Hi Graham,

Thanks for your interest. Only text, customer info (occupation, position, etc), and link can be added to a testimonial. Images are not supported… unfortunately.

Can you please let me know how to change the order of the testimonials. The order box doesn’t do anything.. it’s all sorted by testimonial post date but we need it to sort it the other way.

Apparently, the order is based upon the publishing date – with the oldest date first. Is there any way to reverse the order, so the most current testimonial is first?

“Date Published” and “Ascending” order of sorting are the default values. Just edit the Testimonials element (widget) in Page Builder and change the values of “Sort By” and “Order of Sorting” parameters.

Tectonic – Responsive WordPress Theme Hello, I can not find the link for the update. Where is it, please?

Best wishes, Peter Meides

Hello Peter,

Thanks for the purchase. For updating the theme please follow the instruction in “Updating The Theme” section of Documentation. You will receive email notification each time a new version of Tectonic Theme is available on Themeforest.

Kind regards, emerald

Hi There,

we have installed the plugin “The Event Calendar Pro” to manage events. The problem ist, we are not able to fill the info-board. The info-board will not be shown in the backend on work with events.

Is there any way to solve this problem, or to fade out the info-board on events.

Regards Reiner

Hi Reiner,

You will need to use a child theme (included in the download as “tectonic-child”) to set up “full width” layout for all event pages. The Info Board will not be displayed in this case on event pages.

Open “functions.php” in “tectonic-child” folder and add the following code:

function tec_events_page_layout() {
    global $tec_page_layout;
    if ( get_query_var( 'post_type' ) == 'tribe_events' ) {
        $tec_page_layout = 'full-width';
    }
}
add_action( 'get_header', 'tec_events_page_layout', 11 );

Then install and activate the modified Tectonic Child theme.

Hi, I am having hard time with displaying google maps. see the code appears when I look at the source code of the contact page but only “Loading map” is visible on the page. where can I insert the google api key? Or do you have any instructions. Thanks, A

thanks, I have emailed you. If you need, I can give you admin access too as I have mainly sample data on there currently.

You are the man! that did it. FYI this is an awesome design and I can see there is a good deal of hard work went into it. Your support is exceptional too. Thanks again

You are welcome, Aksel. And thanks for your good words!

by
by
by
by
by
by

Tell us what you think!

We'd like to ask you a few questions to help improve ThemeForest.

Sure, take me to the survey